> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ether Last Price

> Retrieves the latest price of the native/gas token.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "ethbtc": "0.0368322132423383",
      "ethbtc_timestamp": "1759139509",
      "ethusd": "4129.30651044757",
      "ethusd_timestamp": "1759139509"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethprice.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Ether Last Price
  version: 2.0.0
  description: Retrieves the latest price of the native/gas token.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Ether Last Price
      description: Retrieves the latest price of the native/gas token.
      operationId: getEthprice
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to ethprice for this endpoint.
          schema:
            type: string
            default: ethprice
          example: ethprice
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````